@import url('https://fonts.googleapis.com/css2?family=Barlow:wght@300;400;500;600;700&display=swap');

body{
    font-family: 'Barlow', sans-serif;
    font-size: 0.9rem;
}

.header{
    width: 100%;
    min-height: 10vh;
    height: 80px;
    background: var(--black);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: clamp(20px, 1.5%, 30px);
    position: relative;
    z-index: 10;
}

.header > div > a > button{
    background-color: var(--ibramed-darkblue);
    padding: 8px 15px;
    font-size: 13px;
    font-family: Arial;
    line-height: normal;
    font-weight: bold;
    color: var(--black);
    border: none;
    border-radius: 10px;
    cursor: pointer;
    transition: all .2s;
}

.header > div.easyAccessBtns{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
}

header.header::before/* , header.header::after */{
    content: "";
    width: 100%;
    height: 4px;
    position: absolute;
    top: 100%;
    background: linear-gradient(to right, var(--ibramed-darkblue) 0% 1%, var(--white) 48% 50%, var(--ibramed-darkblue) 99% 100%);
}

header.header::before{
    left: 0;
}

/* header.header::after{
    right: 0;
    transform: rotate(180deg);
} */

.menu-hamburger{
    line-height: 0;
    cursor: pointer;
}

.header-logo{
    margin-right: 30px;
    line-height: 0;
}

.header-logo a img{
    width: 150px;
    cursor: pointer;
}

.icon-sandwich{
    width: 30px;
    height: 20px;
}

.icon-sandwich > path{
    fill: #ffffff;
}

.sidebar-complement-bg{
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
}

.sidebar-bg-active{
    display: block;
}

.left-sidebar{
    width: 100%;
    max-width: 250px;
    min-height: 100vh;
    background-color: #FFF;
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    line-height: 50px;
    padding: 18px 0;
    flex-direction: column;
    justify-content: space-between;
}

.sidebar-active{
    display: flex;
}

.close-sidebar-button{
    position: absolute;
    left: calc(100% + 0.9rem);
    border: none;
    background-color: transparent;
    cursor: pointer;
}

.icon-close-modal{
    width: 24px;
    height: 24px;
}

.icon-close-modal > path{
    fill: #ffffff;
}

.nav-buttons{    
    display: flex;
    flex-direction: column;
}

.nav-buttons span{
    line-height: normal;
    /* padding: 0 18px 18px; */
    position: fixed;
    width: 235px;
    padding: 0 18px;
    background-color: #ffffff;
    font-weight: bold;
    overflow: hidden;
    text-overflow: ellipsis;
}

.left-sidebar > :nth-child(1 of .nav-buttons){
    max-height: 74vh;
    overflow-y: auto;
    scrollbar-gutter: auto;
}

.left-sidebar > :nth-child(1 of .nav-buttons) > :nth-child(1 of .sidebar-button){
    margin-top: 18px;
}

.sidebar-button{
    display: flex;
    gap: 10px;
    cursor: pointer;
    padding: 0 18px;
}

.sidebar-button:hover{
    background-color: var(--iron);
}

.sidebar-button svg{
    width: 24px;
}

/* UNCOMMENT IF ADDED */
/* .sidebar-button img{
    width: 24px;
} */

/* .sidebar-subnav-container{
    position: relative;
}


.sidebar-subnav-container > .sidebar-button{
    gap: 0;
    justify-content: space-between;    
} */

.sidebar-button.active{
    background-color: var(--iron);
}

/* UNCOMMENT IF ADDED */
/* .subnav-content-wrapper{
    display: flex;
    gap: 10px;  
}

.arrow-icon{
    fill: #000;
    width: 12px !important;
    transition: rotate 0.3s;
}

.arrow-icon.active{
    rotate: 90deg;
}

.subnav-wrapper{
    background-color: var(--light-gray);
    display: none;
    max-height: 0;
    transition: max-height .5s;
}

.sidebar-subnav{
    display: flex;
    flex-direction: column;
    opacity: 0;
    transition: opacity 0.2s;
}

.sidebar-subnav.active{
    opacity: 1;
    transition: opacity .5s;
}

.sub-button{
    padding-left: 50px;
    display: flex;
    align-items: center;
} */



/* SIDEBAR STYLES FOR MEDIA QUERIES */
.extendedSidebar{
    max-width: none;
    padding-top: 36px;
}

.extendedSidebar > button.close-sidebar-button{
    top: calc(1%);
    left: calc(90% + 0.9rem);
}

.extendedSidebar > button.close-sidebar-button > .icon-close-modal > path{
    fill: #000000;
}

/* FOOTER */
footer.page-footer{
    display: flex;
    justify-content: space-evenly;
    position: fixed;
    bottom: 0;
    background-color: var(--black);
    width: 100%;
    padding: 10px;
}

footer.page-footer > span,
footer.page-footer > a{
    color: white;
}